Subject: Re: Hang when testing with AMD64 with Tg3

From: Stephen Hemminger <[email-masked]>
Date: Mon, 04 Oct 2004 18:05:08 -0700

On Tue, 2004-10-05 at 02:15 +0200, Andi Kleen wrote:
> On Mon, Oct 04, 2004 at 05:11:11PM -0700, Stephen Hemminger wrote:
> > Doing simple iperf test on new opteron with tg3 against existing Xeon
> > system.  I am seeing something wierd, the connection hangs right away.
> > Is this a TSO bug.  
> > 
> > Sender: BK latest (2.6.9-rc3) Tg3 (XX.YY.250.3)
> > Receiver: BK + netdev(jeffm) + dave's latest e100 (XX.YY.1.73)
> > 
> > Both machines are directly connected with a netgear 100mbit switch.
> 

IT ISN'T A NETWORK PROBLEM.  The problem is that iperf uses posix
pthread mutex's to sychronize and it looks like a futex bug.